ACL_SET_FLAGSET_NP(3)

NAME
acl_set_flagset_np - set the flags of an ACL or ACL entry

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_set_flagset_np(void *obj, acl_flagset_t flagset_d);

DESCRIPTION
The acl_set_flagset_np() function is a nonstandard extension that sets the permissions of the ACL or ACL entry obj with the flags contained in flagset_d.

RETURN VALUES

ERRORS
The acl_set_flagset_np() function fails if:

[EINVAL]
    Argument obj is not a valid descriptor for an ACL or ACL entry. Argument flagset_d is not a valid flagset for obj.

SEE ALSO
acl(3), acl_add_flag_np(3), acl_clear_flags_np(3), acl_delete_flag_np(3), acl_get_flagset_np(3)

AUTHORS
Michael Smith Chris D. Faulhaber